Loading...
Searching...
No Matches
pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Referenceabstract

`#include <pcl/ml/dt/decision_tree_data_provider.h>`

Inheritance diagram for pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >:

## Public Types

using | Ptr
using | ConstPtr

## Public Member Functions

| DecisionTreeTrainerDataProvider ()=default
| Constructor.
virtual | ~DecisionTreeTrainerDataProvider ()=default
| Destructor.
virtual void | getDatasetAndLabels (DataSet &data_set, std::vector< LabelType > &label_data, std::vector< ExampleIndex > &examples)=0
| Virtual function called to obtain training examples and labels before training a specific tree.

## Detailed Description

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Definition at line 50 of file decision_tree_data_provider.h.

## Member Typedef Documentation

## ConstPtr

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

using pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::ConstPtr

Initial value:
shared_ptr<const DecisionTreeTrainerDataProvider<FeatureType,
DataSet,
LabelType,
ExampleIndex,
NodeType>>
pcl::DecisionTreeTrainerDataProvider::DecisionTreeTrainerDataProvider
DecisionTreeTrainerDataProvider()=default
Constructor.

Definition at line 63 of file decision_tree_data_provider.h.

## Ptr

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

using pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::Ptr

Initial value:
shared_ptr<DecisionTreeTrainerDataProvider<FeatureType,
DataSet,
LabelType,
ExampleIndex,
NodeType>>

Definition at line 58 of file decision_tree_data_provider.h.

## Constructor & Destructor Documentation

## DecisionTreeTrainerDataProvider()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::DecisionTreeTrainerDataProvider | ( |  | ) |

default

Constructor.

## ~DecisionTreeTrainerDataProvider()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

virtual pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~DecisionTreeTrainerDataProvider | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getDatasetAndLabels()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

virtual void pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getDatasetAndLabels | ( | DataSet & | data_set,
|  | std::vector< LabelType > & | label_data,
|  | std::vector< ExampleIndex > & | examples )

pure virtual

Virtual function called to obtain training examples and labels before training a specific tree.

Implemented in pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >.

The documentation for this class was generated from the following file:

- pcl/ml/dt/decision_tree_data_provider.h